SystemOrganization addCategory: #'StardewValley-UI'!
SystemOrganization addCategory: #'StardewValley-Core'!

Morph subclass: #Animal
	instanceVariableNames: 'isSmall numberLegs'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StardewValley-Core'!

!Animal commentStamp: 'jb 11/11/2020 14:01' prior: 0!
Dies ist die Klassen-Dokumentation einer abstrakten Klasse,
Unterklassen sollen makeSound implementieren
!

!Animal methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:56'!
initialize

	super.! !

!Animal methodsFor: 'accessing' stamp: 'jb 11/11/2020 13:54'!
isSmall
	^ isSmall! !

!Animal methodsFor: 'accessing' stamp: 'jb 11/11/2020 13:54'!
isSmall: anObject
	isSmall := anObject! !

!Animal methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 14:00'!
makeSound

	self subclassResponsibility
	! !

!Animal methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:52'!
numberLegs
	"Returns the number of legs this animal has"
	
	^ numberLegs! !

!Animal methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:51'!
numberLegs: aNumber
	
	numberLegs := aNumber! !

Animal subclass: #Cat
	instanceVariableNames: 'name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StardewValley-Core'!

!Cat class methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 14:07'!
newWithName: aName

	^ self new name: aName! !

!Cat methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:58'!
initialize

	super.
	
	self numberLegs: 4.
	self isSmall: true.! !

!Cat methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 14:01'!
makeSound

	Transcript show:'Meow'! !

!Cat methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:08'!
name
	^ name! !

!Cat methodsFor: 'accessing' stamp: 'jb 11/11/2020 14:08'!
name: anObject
	name := anObject! !

Animal subclass: #Crocodile
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StardewValley-Core'!

!Crocodile methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:58'!
initialize

	super.
	
	self numberLegs: 4.
	self isSmall: false.! !

!Crocodile methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 14:02'!
makeSound

	Beeper beep! !

Animal subclass: #Pigeon
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'StardewValley-Core'!

!Pigeon methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 13:58'!
initialize

	super.
	
	self numberLegs: 2.
	self isSmall: true.! !

!Pigeon methodsFor: 'as yet unclassified' stamp: 'jb 11/11/2020 14:02'!
makeSound

! !
